STDBUF(1)

NUME
stdbuf - rulează COMANDA, cu operații în memoria tampon modificate pentru fluxurile sale standard.

SINOPSIS
stdbuf OPȚIUNE... COMANDA

DESCRIERE

Rulează COMANDA, cu operații în memoria tampon modificate pentru fluxurile sale standard.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-i, --input=MOD
    ajustează operațiile în memoria tampon a fluxului de la intrarea standard

-o, --output=MOD
    ajustează operațiile în memoria tampon a fluxului de la ieșirea standard

-e, --error=MOD
    ajustează operațiunile în memoria tampon a fluxului de la ieșirea de eroare standard

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Dacă MOD este „L”, fluxul corespunzător va fi stocat în memoria tampon a liniei (una dintre liniile de ieșire). Această opțiune este nevalidă pentru intrarea standard.

Dacă MOD este „0”, fluxul corespunzător nu va fi stocat în memoria tampon.

În caz contrar, MOD este un număr care poate fi urmat de una dintre următoarele unități/valori: KB 1000, K 1024, MB 1000*1000, M 1024*1024, ș.a.m.d. pentru G, T, P, E, Z, Y.,R,Q. Prefixele binare pot fi folosite, de asemenea: KiB=K, MiB=M, ș.a.m.d. În acest caz, fluxul corespunzător va fi stocat complet în memoria tampon cu dimensiunea memoriei tampon fixată la MOD octeți.

NOTĂ: Dacă COMANDA ajustează stocarea în memoria tampon a fluxurilor sale standard («tee», de exemplu), atunci aceasta va înlocui modificările corespunzătoare făcute prin «stdbuf». De asemenea, unele filtre (cum ar fi «dd» și «cat» etc.) nu folosesc fluxuri pentru In/Ieș, și, prin urmare, nu sunt afectate de modificările «stdbuf».

  Starea de ieșire:

125 dacă însăși comanda stdbuf eșuează

126 dacă COMANDA este găsită, dar nu poate fi invocată

127 dacă COMANDA nu poate fi găsită

-   starea de ieșire a COMENZII în caz contrar

EXEMPLE
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Acest lucru va afișa imediat intrările unice din access.log

ERORI
Pe platformele GLIBC, specificarea unei dimensiuni a memoriei tampon, adică utilizarea modului complet memorizat, va duce la o funcționare nedefinită.

AUTOR
Scris de Padraig Brady.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/stdbuf>
sau local rulând comanda: «info '(coreutils) stdbuf invocation'»

Împachetat de Debian (9.7-2)
Drepturi de autor © 2025 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.